-- 限时冲级
Lua_XianShiRewardWindow = class("Lua_XianShiRewardWindow", Lua_Window)
function Lua_XianShiRewardWindow:ctor(p)
	self:superCall("ctor", false, true, 3500, false, false, false);
    self.windowName = "Lua_XianShiRewardWindow";
	self.skinName = "XianShiRewardWindow_skin";
end
function Lua_XianShiRewardWindow:buildShowItem()
    self:superCall("buildShowItem");

    self.btn:addClickFuntion(self, self.onBtnCloseClick);

    self.timeNum = Lua_NumberImage.new(self.content);
	self.timeNum.prefix = "ui_xstime_font_min";
	self.timeNum.numWidth = 31;
	self.timeNum:setNumScale(0.8,0.8);
	self.timeNum.num = 0;
	self.timeNum.pivot = 2;
	self.timeNum:setDepth(5);

	if getLanType() == 1 then
		self.timeNum:setLocation(-143.5, 38, 0);
	else
		self.timeNum:setLocation(-143.5, 38, 0);
	end

	if getLanType() == 1 then
		self.timeSp:setLocation(-86, 102, 0);
	end

	self.lvNum = Lua_NumberImage.new(self.content);
	self.lvNum.prefix = "ui_xstime_font_min";
	self.lvNum.pivot = 2;
	self.lvNum.numWidth = 31;
	self.lvNum.num = 0;
	self.lvNum:setDepth(5);
	if getLanType() == 1 then
		self.lvNum:setLocation(154.5, 95, 0);
	else
		self.lvNum:setLocation(154.5, 95, 0);
	end
	

	self.rewardItem = Lua_RewardItem.new(self.content);
	self.rewardItem.pivot = 2;
    self.rewardItem:setLocation(-1.5,-101.5,0);
    self.rewardItem:setDepth(5);

    self:addTimer("Lua_XianShiRewardWindow", 0.2, self, self.onCountDown);
end

function Lua_XianShiRewardWindow:showWin(param)
	self.data = param;
	local arr = Array();
    arr:add(param.awardId);
    self.rewardItem:setClickWin(true);
	self.rewardItem:setRewardByRewardList(arr, true, false);
	local alltime = math.floor(self.data.limit_time/60);
	self.timeNum.num = alltime;
	self.lvNum.num = self.data.show_lv;
end

function Lua_XianShiRewardWindow:onCountDown()
	if not self.data then
		return;
	end
	local lt = self.data.task_time - DataCenter.roleData.serverTime;
	if lt < 0 then
		lt = 0;
	end
	lt = math.floor(lt);
	self.timeTxt.text = LanUtil.formateStr(LanUtil.getValue(122941),TimeTransform.getInstance():transSeconds9(lt));
end