-- 限时任务
Lua_XianShiTaskLvlWindow = class("Lua_XianShiTaskLvlWindow", Lua_Window)
function Lua_XianShiTaskLvlWindow:ctor(p)
	self:superCall("ctor");

    self.windowName = "Lua_XianShiTaskLvlWindow";
	self.skinName = "XianShiTaskLvlWindow_skin";
end

function Lua_XianShiTaskLvlWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.btn:addClickFuntion(self, self.onBtnCloseClick);
	
	self:addTimer("Lua_XianShiTaskLvlWindow", 0.2, self, self.onCountDown);
end

function Lua_XianShiTaskLvlWindow:showWin(param)
	self.data = param;
	self.time = param.count_time;
	self.startTime = getTime();
	self:onCountDown();
end

function Lua_XianShiTaskLvlWindow:onCountDown()
	local pt = getTime() - self.startTime;
	local lt = self.time - pt;
	if lt <= 0 then
		self:hide();
	else
		lt = math.floor(lt);
		self.btnTxt.text = LanUtil.getValue(10008).."("..lt..")";
	end
end